Bug 123362 - adjust dependencies for a bundle of qt4 ports
Summary: adjust dependencies for a bundle of qt4 ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-05-03 11:20 UTC by Max Brazhnikov
Modified: 2009-05-17 00:47 UTC (History)
0 users

See Also:


Attachments
file.diff (18.27 KB, patch)
2008-05-03 11:20 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov 2008-05-03 11:20:00 UTC
A lot of qt4 ports have runtime dependency on build tools (qmake-qt4, uic-qt4, moc-qt4, rcc). Free them from redundant dependencies.

Affected ports:

astro/stellarium
audio/esperanza
audio/qjackctl
audio/qsynth
cad/klayout
databases/py-qt4-sql
deskutils/fbreader
deskutils/qrfcview
deskutils/qtm
devel/py-qt4-assistant
devel/py-qt4-core
devel/py-qt4-dbus
devel/py-qt4-designer
devel/py-qt4-designerplugin
devel/py-qt4-script
devel/py-qt4-test
devel/qdevelop
devel/qprog
devel/qscintilla2
devel/qscintilla2-designerplugin
editors/lfhex
editors/texmaker
games/anki
games/qnetwalk
german/tipp10
graphics/autoq3d
graphics/djview4
graphics/py-qt4-svg
graphics/qcomicbook
graphics/structuresynth
math/freemat
math/qwtplot3d-qt4
misc/qbrew
multimedia/manencode
multimedia/mimms
multimedia/vlc-devel
net-im/decibel
net-im/tapioca-qt
net-im/telepathy-qt
net-mgmt/vidalia
net/py-qt4-network
print/lyx15
security/xca
sysutils/bacula-bat
textproc/py-qt4-xml
www/aria2fe
x11-toolkits/py-qt4-gui
x11/py-qt4-opengl

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-05-03 12:00:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kde

Over to a maintainers group.
Comment 2 edwin 2008-05-03 12:01:10 UTC
On Sat, May 03, 2008 at 10:15:43AM +0000, Max Brazhnikov wrote:
> 
> --- astro/stellarium/Makefile.orig	2008-05-03 13:25:41.000000000 +0400
> +++ astro/stellarium/Makefile	2008-05-03 13:27:44.000000000 +0400
> @@ -22,7 +22,7 @@
>  BUILD_DEPENDS=	cmake:${PORTSDIR}/devel/cmake
>  
>  USE_QT_VER=	4
> -QT_COMPONENTS=	qmake moc gui rcc uic opengl
> +QT_COMPONENTS=	qmake_build moc_build gui rcc_build uic_build opengl
>  USE_GETTEXT=	yes
>  USE_GL=		yes
>  USE_SDL=	sdl mixer
> --- audio/esperanza/Makefile.orig	2008-05-03 13:25:41.000000000 +0400
> +++ audio/esperanza/Makefile	2008-05-03 13:27:44.000000000 +0400
[...]

This might not be relevant to your job, but could QT_COMPONENTS not
better be split in QT_COMPONENTS_RUN and QT_COMPONENTS_BUILD?

Edwin
-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |              Weblog: http://www.mavetju.org/weblog/
Comment 3 dfilter service freebsd_committer 2008-08-01 10:47:03 UTC
arved       2008-08-01 09:46:54 UTC

  FreeBSD ports repository

  Modified files:
    editors/lfhex        Makefile 
    graphics/qcomicbook  Makefile 
    net-im/tapioca-qt    Makefile 
    net-im/decibel       Makefile 
    print/lyx15          Makefile 
    net-im/telepathy-qt  Makefile 
    math/freemat         Makefile 
    math/qwtplot3d-qt4   Makefile 
  Log:
  Remove unneeded rundeps on qt4 buildtools
  
  PR:             123362
  Submitted by:   Max Brazhnikov
  
  Revision  Changes    Path
  1.26      +2 -2      ports/editors/lfhex/Makefile
  1.22      +2 -2      ports/graphics/qcomicbook/Makefile
  1.22      +2 -2      ports/math/freemat/Makefile
  1.10      +2 -2      ports/math/qwtplot3d-qt4/Makefile
  1.6       +2 -2      ports/net-im/decibel/Makefile
  1.5       +2 -2      ports/net-im/tapioca-qt/Makefile
  1.5       +2 -2      ports/net-im/telepathy-qt/Makefile
  1.125     +2 -2      ports/print/lyx15/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Tilman Keskinoz freebsd_committer 2008-08-01 10:52:31 UTC
State Changed
From-To: open->patched

I committed those that are maintained by (arved|ports|kde|makc).
Comment 5 Martin Wilke freebsd_committer 2009-05-17 00:47:10 UTC
State Changed
From-To: patched->closed

all committed by max